Question: Categorize each of the following item s as either hardware or software:
a. CPU-Hardware
b. C++ com piler-Software
c. ALU-Hardware
d. C++ preprocessor-Software
e. input unit-Hardware
f. an editor program-Software
